### Method

# Clutter PaintNode set_name

#### Declaration [src]

    void
    clutter_paint_node_set_name (
      ClutterPaintNode* node,
      const char* name
    )

#### Description [src]

Sets a user-readable `name` for `node`.

The `name` will be used for debugging purposes.

The `node` will intern `name` using g_intern_string(). If you have access to a static string, use `clutter_paint_node_set_static_name()` instead.

#### Parameters

`name`

  Type: `const char*`

  A string annotating the `node`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.